## GstValidateMediaInfo

GStreamer Validate MediaInfo struct.

Stores extracted information about a media

### Members

`duration` (GstClockTime) –
No description available
`is_image` (gboolean) –
No description available
`file_size` (guint64) –
No description available
`seekable` (gboolean) –
No description available
`playback_error` (gchar*) –
No description available
`reverse_playback_error` (gchar*) –
No description available
`track_switch_error` (gchar*) –
No description available
`uri` (gchar*) –
No description available
`discover_only` (gboolean) –
No description available
`stream_info` (GstValidateStreamInfo *) –
No description available

## GstValidate.MediaInfo

GStreamer Validate MediaInfo struct.

Stores extracted information about a media

### Members

`duration` (Number) –
No description available
`is_image` (Number) –
No description available
`file_size` (Number) –
No description available
`seekable` (Number) –
No description available
`playback_error` (String) –
No description available
`reverse_playback_error` (String) –
No description available
`track_switch_error` (String) –
No description available
`uri` (String) –
No description available
`discover_only` (Number) –
No description available
`stream_info` (GstValidate.StreamInfo) –
No description available

## GstValidate.MediaInfo

GStreamer Validate MediaInfo struct.

Stores extracted information about a media

### Members

`duration` (int) –
No description available
`is_image` (bool) –
No description available
`file_size` (int) –
No description available
`seekable` (bool) –
No description available
`playback_error` (str) –
No description available
`reverse_playback_error` (str) –
No description available
`track_switch_error` (str) –
No description available
`uri` (str) –
No description available
`discover_only` (bool) –
No description available
`stream_info` (GstValidate.StreamInfo) –
No description available

### Methods

#### gst_validate_media_info_clear

    gst_validate_media_info_clear (GstValidateMediaInfo * mi)

Parameters:

`mi` –
No description available

#### GstValidate.MediaInfo.prototype.clear

    function GstValidate.MediaInfo.prototype.clear(): {
        // javascript wrapper for 'gst_validate_media_info_clear'
    }

Parameters:

`mi` (GstValidate.MediaInfo) –
No description available

#### GstValidate.MediaInfo.clear

    def GstValidate.MediaInfo.clear (self):
        #python wrapper for 'gst_validate_media_info_clear'

Parameters:

`mi` (GstValidate.MediaInfo) –
No description available

#### gst_validate_media_info_compare

    gboolean
    gst_validate_media_info_compare (GstValidateMediaInfo * expected,
                                     GstValidateMediaInfo * extracted)

Parameters:

`expected` –
No description available
`extracted` –
No description available
Returns –
No description available

#### GstValidate.MediaInfo.prototype.compare

    function GstValidate.MediaInfo.prototype.compare(extracted: GstValidate.MediaInfo): {
        // javascript wrapper for 'gst_validate_media_info_compare'
    }

Parameters:

`expected` (GstValidate.MediaInfo) –
No description available
`extracted` (GstValidate.MediaInfo) –
No description available
Returns (Number) –
No description available

#### GstValidate.MediaInfo.compare

    def GstValidate.MediaInfo.compare (self, extracted):
        #python wrapper for 'gst_validate_media_info_compare'

Parameters:

`expected` (GstValidate.MediaInfo) –
No description available
`extracted` (GstValidate.MediaInfo) –
No description available
Returns (bool) –
No description available

#### gst_validate_media_info_free

    gst_validate_media_info_free (GstValidateMediaInfo * mi)

Parameters:

`mi` –
No description available

#### GstValidate.MediaInfo.prototype.free

    function GstValidate.MediaInfo.prototype.free(): {
        // javascript wrapper for 'gst_validate_media_info_free'
    }

Parameters:

`mi` (GstValidate.MediaInfo) –
No description available

#### GstValidate.MediaInfo.free

    def GstValidate.MediaInfo.free (self):
        #python wrapper for 'gst_validate_media_info_free'

Parameters:

`mi` (GstValidate.MediaInfo) –
No description available

#### gst_validate_media_info_init

    gst_validate_media_info_init (GstValidateMediaInfo * mi)

Parameters:

`mi` –
No description available

#### GstValidate.MediaInfo.prototype.init

    function GstValidate.MediaInfo.prototype.init(): {
        // javascript wrapper for 'gst_validate_media_info_init'
    }

Parameters:

`mi` (GstValidate.MediaInfo) –
No description available

#### GstValidate.MediaInfo.init

    def GstValidate.MediaInfo.init (self):
        #python wrapper for 'gst_validate_media_info_init'

Parameters:

`mi` (GstValidate.MediaInfo) –
No description available

#### gst_validate_media_info_inspect_uri

    gboolean
    gst_validate_media_info_inspect_uri (GstValidateMediaInfo * mi,
                                         const gchar* uri,
                                         gboolean discover_only,
                                         GError ** error)

Parameters:

`mi` –
No description available
`uri` –
No description available
`discover_only` –
No description available
`error` –
No description available
Returns –
No description available

#### GstValidate.MediaInfo.prototype.inspect_uri

    function GstValidate.MediaInfo.prototype.inspect_uri(uri: String, discover_only: Number): {
        // javascript wrapper for 'gst_validate_media_info_inspect_uri'
    }

Parameters:

`mi` (GstValidate.MediaInfo) –
No description available
`uri` (String) –
No description available
`discover_only` (Number) –
No description available
Returns (Number) –
No description available

#### GstValidate.MediaInfo.inspect_uri

    @raises(GLib.GError)
    def GstValidate.MediaInfo.inspect_uri (self, uri, discover_only):
        #python wrapper for 'gst_validate_media_info_inspect_uri'

Parameters:

`mi` (GstValidate.MediaInfo) –
No description available
`uri` (str) –
No description available
`discover_only` (bool) –
No description available
Returns (bool) –
No description available

#### gst_validate_media_info_save

    gboolean
    gst_validate_media_info_save (GstValidateMediaInfo * mi,
                                  const gchar* path,
                                  GError ** error)

Parameters:

`mi` –
No description available
`path` –
No description available
`error` –
No description available
Returns –
No description available

#### GstValidate.MediaInfo.prototype.save

    function GstValidate.MediaInfo.prototype.save(path: String): {
        // javascript wrapper for 'gst_validate_media_info_save'
    }

Parameters:

`mi` (GstValidate.MediaInfo) –
No description available
`path` (String) –
No description available
Returns (Number) –
No description available

#### GstValidate.MediaInfo.save

    @raises(GLib.GError)
    def GstValidate.MediaInfo.save (self, path):
        #python wrapper for 'gst_validate_media_info_save'

Parameters:

`mi` (GstValidate.MediaInfo) –
No description available
`path` (str) –
No description available
Returns (bool) –
No description available

#### gst_validate_media_info_to_string

    gchar*
    gst_validate_media_info_to_string (GstValidateMediaInfo * mi,
                                       gsize* length)

Parameters:

`mi` –
No description available
`length` –
No description available
Returns –
No description available

#### GstValidate.MediaInfo.prototype.to_string

    function GstValidate.MediaInfo.prototype.to_string(length: Number): {
        // javascript wrapper for 'gst_validate_media_info_to_string'
    }

Parameters:

`mi` (GstValidate.MediaInfo) –
No description available
`length` (Number) –
No description available
Returns (String) –
No description available

#### GstValidate.MediaInfo.to_string

    def GstValidate.MediaInfo.to_string (self, length):
        #python wrapper for 'gst_validate_media_info_to_string'

Parameters:

`mi` (GstValidate.MediaInfo) –
No description available
`length` (int) –
No description available
Returns (str) –
No description available

### Functions

#### gst_validate_media_info_load

    GstValidateMediaInfo *
    gst_validate_media_info_load (const gchar* path,
                                  GError ** error)

Parameters:

`path` –
No description available
`error` –
No description available
Returns –
No description available

## GstValidateStreamInfo

## GstValidate.StreamInfo

The results of the search are